<div>
    <h2 id="page-heading">
        <span>Staff</span>

        <button id="jh-create-entity" class="btn btn-primary float-right jh-create-entity create-staff" [routerLink]="['/staff/new']">
            <fa-icon icon="plus"></fa-icon>
            <span>
            Create a new Staff
            </span>
        </button>
    </h2>

    <jhi-alert-error></jhi-alert-error>

    <jhi-alert></jhi-alert>

    <div class="alert alert-warning" id="no-result" *ngIf="staff?.length === 0">
        <span>No staff found</span>
    </div>

    <div class="table-responsive" id="entities" *ngIf="staff && staff.length > 0">
        <table class="table table-striped" aria-describedby="page-heading">
            <thead>
                <tr>
                    <th scope="col" ><span>ID</span></th>
                    <th scope="col" ><span>First Name</span></th>
                    <th scope="col" ><span>Last Name</span></th>
                    <th scope="col" ><span>Email</span></th>
                    <th scope="col" ><span>Password</span></th>
                    <th scope="col" ><span>Status</span></th>
                    <th scope="col" ><span>Login Type</span></th>
                    <th scope="col" ><span>Team</span></th>
                    <th scope="col"></th>
                </tr>
            </thead>
            <tbody>
                <tr *ngFor="let staff of staff ;trackBy: trackId">
                    <td><a [routerLink]="['/staff', staff.id, 'view']">{{ staff.id }}</a></td>
                    <td>{{ staff.firstName }}</td>
                    <td>{{ staff.lastName }}</td>
                    <td>{{ staff.email }}</td>
                    <td>{{ staff.password }}</td>
                    <td>{{ staff.status }}</td>
                    <td>{{ staff.loginType }}</td>
                    <td>
                        <div *ngIf="staff.team">
                            <a [routerLink]="['/team', staff.team?.id, 'view']" >{{ staff.team?.id }}</a>
                        </div>
                    </td>
                    <td class="text-right">
                        <div class="btn-group">
                            <button type="submit"
                                    [routerLink]="['/staff', staff.id, 'view']"
                                    class="btn btn-info btn-sm">
                                <fa-icon icon="eye"></fa-icon>
                                <span class="d-none d-md-inline">View</span>
                            </button>

                            <button type="submit"
                                    [routerLink]="['/staff', staff.id, 'edit']"
                                    class="btn btn-primary btn-sm">
                                <fa-icon icon="pencil-alt"></fa-icon>
                                <span class="d-none d-md-inline">Edit</span>
                            </button>

                            <button type="submit" (click)="delete(staff)"
                                    class="btn btn-danger btn-sm">
                                <fa-icon icon="times"></fa-icon>
                                <span class="d-none d-md-inline">Delete</span>
                            </button>
                        </div>
                    </td>
                </tr>
            </tbody>
        </table>
    </div>
</div>
